### Name: Benford
### Title: Benford's Distribution
### Aliases: Benford dbenf pbenf qbenf rbenf
### Keywords: distribution

### ** Examples

x = c(0:10, NA, NaN, -Inf, Inf)
dbenf(x)
pbenf(x)

## Not run: 
##D x = 1:9; # par(mfrow=c(2,1))
##D barplot(dbenf(x), col = "lightblue", las=1, xlab="Leading digit",
##D         ylab = "Probability",
##D         main=paste("Benford's distribution",  sep=""),
##D         names.arg = as.character(x))
##D 
##D hist(rbenf(n=1000), border = "blue", prob=TRUE,
##D      main="Random variates from Benford's distribution",
##D      xlab="Leading digit",
##D      sub="Red is the true probability",
##D      breaks=0:9+0.5, ylim=c(0, 0.35), xlim=c(0, 10.0))
##D lines(1:9, dbenf(1:9), col="red", type="h")
##D points(1:9, dbenf(1:9), col="red")
## End(Not run)



