### Name: beta.ab
### Title: The Two-parameter Beta Distribution Family Function
### Aliases: beta.ab
### Keywords: models regression

### ** Examples

y = rbeta(n=1000, shape1=exp(0), shape2=exp(1))
fit = vglm(y ~ 1, beta.ab(lshape1="identity", lshape2="identity"),
           trace = TRUE, crit="c")
fit = vglm(y ~ 1, beta.ab, trace = TRUE, crit="c")
coef(fit, matrix=TRUE)
Coef(fit)  # Useful for intercept-only models

Y = 5 + 8 * y    # From 5 to 13, not 0 to 1
fit = vglm(Y ~ 1, beta.ab(A=5, B=13), trace = TRUE)
Coef(fit)  
c(mean(Y), head(fitted(fit)))



