### Name: Betabin
### Title: The Beta-Binomial Distribution
### Aliases: Betabin dbetabin pbetabin rbetabin dbetabin.ab pbetabin.ab
###   rbetabin.ab
### Keywords: distribution

### ** Examples

## Not run: 
##D N = 9; x = 0:N; s1=2; s2=3
##D dy = dbetabin.ab(x, size=N, shape1=s1, shape2=s2)
##D barplot(rbind(dy, dbinom(x, size=N, prob=s1/(s1+s2))),
##D         beside = TRUE, col = c("blue","green"), las=1,
##D         main=paste("Beta-binomial (size=",N,", shape1=",s1,
##D                    ", shape2=",s2,") (blue) vs\n",
##D         " Binomial(size=", N, ", prob=", s1/(s1+s2), ") (green)", sep=""),
##D         names.arg = as.character(x), cex.main=0.8)
##D sum(dy*x) # Check expected values are equal
##D sum(dbinom(x, size=N, prob=s1/(s1+s2))*x)
##D cumsum(dy) -  pbetabin.ab(x, N, shape1=s1, shape2=s2)
##D 
##D y = rbetabin.ab(n=10000, size=N, shape1=s1, shape2=s2)
##D ty = table(y)
##D barplot(rbind(dy, ty/sum(ty)),
##D         beside = TRUE, col = c("blue","red"), las=1,
##D         main=paste("Beta-binomial (size=",N,", shape1=",s1,
##D                    ", shape2=",s2,") (blue) vs\n",
##D         " Random generated beta-binomial(size=", N, ", prob=", s1/(s1+s2),
##D         ") (red)", sep=""), cex.main=0.8,
##D         names.arg = as.character(x))
## End(Not run)



