### Name: binom2.or
### Title: Bivariate Binary Regression with an Odds Ratio (Family Function)
### Aliases: binom2.or
### Keywords: models regression

### ** Examples

# Fit the model in Table 6.7 in McCullagh and Nelder (1989)
coalminers = transform(coalminers, Age = (age - 42) / 5)
fit = vglm(cbind(nBnW,nBW,BnW,BW) ~ Age, binom2.or(zero=NULL), coalminers)
fitted(fit)
summary(fit)
coef(fit, matrix=TRUE)

c(weights(fit, type="prior")) * fitted(fit)  # Table 6.8

## Not run: 
##D with(coalminers, matplot(Age, fitted(fit), type="l", las=1,
##D                          xlab="(age - 42) / 5", lwd=2))
##D with(coalminers, matpoints(Age, fit@y, col=1:4))
##D legend(x=-4, y=0.5, lty=1:4, col=1:4, lwd=2,
##D        legend=c("1 = (Breathlessness=0, Wheeze=0)",
##D                 "2 = (Breathlessness=0, Wheeze=1)",
##D                 "3 = (Breathlessness=1, Wheeze=0)",
##D                 "4 = (Breathlessness=1, Wheeze=1)"))
## End(Not run)



