### Name: Binom2.rho
### Title: Bivariate Probit Model
### Aliases: Binom2.rho dbinom2.rho rbinom2.rho
### Keywords: distribution

### ** Examples

# Example 1
nn = 2000
(myrho <- rhobit(2, inverse=TRUE))
ymat = rbinom2.rho(n=nn, mu1=0.8, rho=myrho, exch=TRUE)
(mytab <- table(ymat[,1], ymat[,2]))
fit = vglm(ymat ~ 1, binom2.rho(exch=TRUE))
coef(fit, matrix=TRUE)

# Example 2
x = sort(runif(nn))
mu1 = probit(-2+4*x, inverse=TRUE)
mu2 = probit(-1+3*x, inverse=TRUE)
dmat = dbinom2.rho(mu1=mu1, mu2=mu2, rho=myrho)
ymat = rbinom2.rho(n=nn, mu1=mu1, mu2=mu2, rho=myrho)
fit2 = vglm(ymat ~ x, binom2.rho)
coef(fit2, matrix=TRUE)
## Not run: 
##D matplot(x, dmat, lty=1:4, col=1:4, type="l", main="Joint probabilities",
##D         ylim=0:1, lwd=2, ylab="Probability")
##D legend(x=0.25, y=0.9, lty=1:4, col=1:4, lwd=2,
##D        legend=c("1 = (y1=0, y2=0)", "2 = (y1=0, y2=1)",
##D                 "3 = (y1=1, y2=0)", "4 = (y1=1, y2=1)"))
## End(Not run)



