### Name: bisa
### Title: Birnbaum-Saunders Distribution Family Function
### Aliases: bisa
### Keywords: models regression

### ** Examples

x = runif(n <- 1000)
y = rbisa(n, shape=exp(-0.5+x), scale=exp(1.5))
fit = vglm(y ~ x, bisa(zero=2), trace=TRUE)
coef(fit, matrix=TRUE)

## Not run: 
##D y = rbisa(n=1000, shape=exp(-0.5), scale=exp(0.5))
##D fit = vglm(y ~ 1, bisa, trace=TRUE)
##D hist(y, prob=TRUE, ylim=c(0,0.5), col="lightblue")
##D coef(fit, matrix=TRUE)
##D mean(y)
##D head(fitted(fit))
##D x = seq(0, max(y), len=200)
##D lines(x, dbisa(x, Coef(fit)[1], Coef(fit)[2]), col="red", lwd=2)
## End(Not run)



