### Name: calibrate
### Title: Model Calibrations
### Aliases: calibrate
### Keywords: models regression

### ** Examples

## Not run: 
##D hspider[,1:6] = scale(hspider[,1:6]) # Standardized environmental vars
##D set.seed(123)
##D p1 = cao(cbind(Pardlugu, Pardmont, Pardnigr, Pardpull, Zoraspin) ~
##D          WaterCon + BareSand + FallTwig + 
##D          CoveMoss + CoveHerb + ReflLux,
##D          family = poissonff, data = hspider, Rank = 1,
##D          df1.nl = c(Zoraspin=2, 1.9),
##D          Bestof = 3, Crow1positive = TRUE)
##D 
##D siteNos = 1:2  # Calibrate these sites
##D cp1 = calibrate(p1, new=data.frame(p1@y[siteNos,]), trace=TRUE)
##D 
##D # Graphically compare the actual site scores with their calibrated values
##D persp(p1, main="Solid=actual, dashed=calibrated site scores",
##D       label=TRUE, col="blue", las=1)
##D abline(v=lv(p1)[siteNos], lty=1, col=1:length(siteNos)) # actual site scores
##D abline(v=cp1, lty=2, col=1:length(siteNos)) # calibrated values
## End(Not run)



