### Name: fitted.vlm
### Title: Fitted Values of a VLM object
### Aliases: fitted.vlm fitted.values.vlm
### Keywords: models regression

### ** Examples

# Categorical regression example 1
pneumo = transform(pneumo, let=log(exposure.time))
fit = vglm(cbind(normal, mild, severe) ~ let,
           cumulative(parallel=TRUE, reverse=TRUE), pneumo)
fit
fitted(fit)

# LMS quantile regression example 2
fit = vgam(BMI ~ s(age, df=c(4,2)), 
           fam=lms.bcn(zero=1), data=bminz, trace=TRUE)
# The following are equal
head(predict(fit, type="r"))
head(fitted(fit))
predict(fit, type="r", newdata=head(bminz))



