### Name: Fnorm
### Title: The Folded-Normal Distribution
### Aliases: Fnorm dfnorm pfnorm qfnorm rfnorm
### Keywords: distribution

### ** Examples

## Not run: 
##D m = 1.5; SD=exp(0)
##D x = seq(-1, 4, len=501)
##D plot(x, dfnorm(x, m=m, sd=SD), type="l", ylim=0:1, las=1,
##D      ylab=paste("fnorm(m=", m, ", sd=", round(SD, dig=3), ")"), col="blue",
##D      main="Blue is density, red is cumulative distribution function",
##D      sub="Purple lines are the 10,20,...,90 percentiles")
##D lines(x, pfnorm(x, m=m, sd=SD), col="red")
##D abline(h=0)
##D probs = seq(0.1, 0.9, by=0.1)
##D Q = qfnorm(probs, m=m, sd=SD)
##D lines(Q, dfnorm(Q, m=m, sd=SD), col="purple", lty=3, type="h")
##D lines(Q, pfnorm(Q, m=m, sd=SD), col="purple", lty=3, type="h")
##D abline(h=probs, col="purple", lty=3)
##D max(abs(pfnorm(Q, m=m, sd=SD) - probs)) # Should be 0
## End(Not run)



