### Name: gev
### Title: Generalized Extreme Value Distribution Family Function
### Aliases: gev egev
### Keywords: models regression

### ** Examples

# Multivariate example
y = as.matrix(venice[,paste("r", 1:10, sep="")])
fit1 = vgam(y[,1:2] ~ s(year, df=3), gev(zero=2:3), venice, trace=TRUE)
coef(fit1, matrix=TRUE)
head(fitted(fit1))
## Not run: 
##D par(mfrow=c(1,2), las=1)
##D plot(fit1, se=TRUE, lcol="blue", scol="forestgreen",
##D      main="Fitted mu(year) function (centered)", cex.main=0.8)
##D with(venice, matplot(year, y[,1:2], ylab="Sea level (cm)", col=1:2,
##D      main="Highest 2 annual sea levels", cex.main=0.8))
##D with(venice, lines(year, fitted(fit1)[,1], lty="dashed", col="blue"))
##D legend("topleft", lty="dashed", col="blue", "Fitted 95 percentile")
## End(Not run)

# Univariate example
(fit = vglm(maxtemp ~ 1, egev, data=oxtemp, trace=TRUE))
head(fitted(fit))
coef(fit, mat=TRUE)
Coef(fit)
vcov(fit)
vcov(fit, untransform=TRUE)
sqrt(diag(vcov(fit)))   # Approximate standard errors
## Not run:  rlplot(fit) 



