### Name: grc
### Title: Fitting Goodman's RC Association Model
### Aliases: grc
### Keywords: models regression

### ** Examples

# Some undergraduate student enrolments at the University of Auckland in 1990
g1 = grc(auuc, Rank=1)
fitted(g1)
summary(g1)

g2 = grc(auuc, Rank=2, Index.corner=c(2,5))
fitted(g2)
summary(g2)

# 2008 Summer Olympic Games in Beijing
top10 = head(olympic, n=10)
oly1 = with(top10, grc(cbind(gold,silver,bronze)))
round(fitted(oly1))
round(resid(oly1, type="response"), dig=1)  # Response residuals
summary(oly1)
Coef(oly1)



