### Name: lqnorm
### Title: Minimizing the L-q norm Family Function
### Aliases: lqnorm
### Keywords: models regression

### ** Examples

set.seed(123)
d = data.frame(x = sort(runif(n <- 10 )))
realfun = function(x) 4 + 5*x
d = transform(d, y = realfun(x) + rnorm(n, sd=exp(1)))
# Make the first observation an outlier
d = transform(d, y = c(4*y[1], y[-1]), x=c(-1, x[-1]))
fit = vglm(y ~ x, fam = lqnorm(qpower=1.2), data=d)
coef(fit, matrix=TRUE)
head(fitted(fit))
fit@misc$qpower 
fit@misc$objectiveFunction 

## Not run: 
##D # Graphical check
##D with(d, plot(x, y, main=paste("LS=red, lqnorm=blue (qpower = ",
##D              fit@misc$qpower, "), truth=black", sep=""), col="blue"))
##D it = lm(y ~ x, data=d)
##D with(d, lines(x, fitted(fit), col="blue"))
##D with(d, lines(x,   it$fitted, col="red"))
##D with(d, lines(x, realfun(x),  col="black"))
## End(Not run)



