### Name: model.framevlm
### Title: Construct the Model Frame of a VLM Object
### Aliases: model.framevlm
### Keywords: models

### ** Examples

# Illustrates smart prediction
pneumo = transform(pneumo, let=log(exposure.time))
fit = vglm(cbind(normal,mild, severe) ~ poly(c(scale(let)), 2),
           fam=multinomial,
           data=pneumo, trace=TRUE, x=FALSE)
class(fit)

check1 = head(model.frame(fit))
check1
check2 = model.frame(fit, data=head(pneumo))
check2
all.equal(unlist(check1), unlist(check2)) # Should be TRUE

q0 = head(predict(fit))
q1 = head(predict(fit, newdata=pneumo))
q2 = predict(fit, newdata=head(pneumo))
all.equal(q0, q1)   # Should be TRUE
all.equal(q1, q2)   # Should be TRUE



