### Name: model.matrixvlm
### Title: Construct the Design Matrix of a VLM Object
### Aliases: model.matrixvlm
### Keywords: models

### ** Examples

# Illustrates smart prediction
pneumo = transform(pneumo, let=log(exposure.time))
fit = vglm(cbind(normal,mild, severe) ~ poly(c(scale(let)), 2),
           fam=multinomial,
           data=pneumo, trace=TRUE, x=FALSE)
class(fit)
fit@x
model.matrix(fit)

Check1 = head(model.matrix(fit, type="lm"))
Check1
Check2 = model.matrix(fit, data=head(pneumo), type="lm")
Check2
all.equal(c(Check1), c(Check2))

q0 = head(predict(fit))
q1 = head(predict(fit, newdata=pneumo))
q2 = predict(fit, newdata=head(pneumo))
all.equal(q0, q1)  # Should be TRUE
all.equal(q1, q2)  # Should be TRUE



