### Name: negbinomial
### Title: Negative Binomial Distribution Family Function
### Aliases: negbinomial
### Keywords: models regression

### ** Examples

# Example 1: apple tree data
y = 0:7
w = c(70, 38, 17, 10, 9, 3, 2, 1)
fit = vglm(y ~ 1, negbinomial, weights=w)
summary(fit)
coef(fit, matrix=TRUE)
Coef(fit)

# Example 2: simulated data with multivariate response
x = runif(n <- 500)
y1 = rnbinom(n, mu=exp(3+x), size=exp(1)) # k is size
y2 = rnbinom(n, mu=exp(2-x), size=exp(0))
fit = vglm(cbind(y1,y2) ~ x, negbinomial, trace=TRUE)
coef(fit, matrix=TRUE)

# Example 3: large counts so definitely use the nsimEIM argument
x = runif(n <- 500)
y = rnbinom(n, mu=exp(12+x), size=exp(1)) # k is size
range(y)  # Large counts
fit = vglm(y ~ x, negbinomial(nsimEIM=100), trace=TRUE)
coef(fit, matrix=TRUE)



