### Name: Polono
### Title: The Poisson Lognormal Distribution
### Aliases: Polono dpolono rpolono
### Keywords: distribution

### ** Examples

meanlog = 0.5; sdlog = 0.5
y = 0:19
proby = dpolono(y, m=meanlog, sd=sdlog)
sum(proby)  # Should be 1
## Not run: 
##D opar = par(no.readonly = TRUE)
##D par(mfrow=c(2,2))
##D plot(y, proby, type="h", col="blue", ylab="P[Y=y]", log="",
##D      main=paste("Poisson lognormal(meanlog=",meanlog,", sdlog=",sdlog,")",
##D                 sep=""))
##D 
##D # More extreme values; use the approximation and plot on a log scale
##D # Notice the kink at bigx.
##D y = 0:190
##D proby = dpolono(y, m=meanlog, sd=sdlog, bigx=100)
##D sum(proby)  # Should be 1
##D plot(y, proby, type="h", col="blue", ylab="P[Y=y]", log="y",
##D      main=paste("Poisson lognormal(meanlog=",meanlog,", sdlog=",sdlog,")"))
##D 
##D # Random number generation
##D table(y <- rpolono(n=1000, m=meanlog, sd=sdlog))
##D hist(y, breaks=((-1):max(y))+0.5, prob=TRUE, border="blue")
##D par(opar)
## End(Not run)



