### Name: Posbinom
### Title: Positive-Binomial Distribution
### Aliases: Posbinom dposbinom pposbinom qposbinom rposbinom
### Keywords: distribution

### ** Examples

prob = 0.2
size = 10
y = rposbinom(n=1000, size, prob)
table(y)
mean(y)  # Sample mean
prob / (1-(1-prob)^size) # Population mean

(i = dposbinom(0:size, size, prob))
cumsum(i) - pposbinom(0:size, size, prob)  # Should be 0s
table(rposbinom(100, size, prob))

table(qposbinom(runif(1000), size, prob))
round(dposbinom(1:10, size, prob) * 1000) # Should be similar

## Not run: 
##D barplot(rbind(dposbinom(x, size, prob),
##D               dbinom(x, size, prob)),
##D         beside = TRUE, col = c("blue","green"),
##D         main=paste("Positive-binomial(", size, ",", prob, ") (blue) vs",
##D         " Binomial(", size, ",", prob, ") (green)", sep=""),
##D         names.arg = as.character(x), las=1)
## End(Not run)



