### Name: rrar
### Title: Nested reduced-rank autoregressive models for multiple time
###   series
### Aliases: rrar
### Keywords: ts regression models

### ** Examples

## Not run: 
##D year = seq(1961+1/12, 1972+10/12, by=1/12)
##D par(mar=c(4,4,2,2)+0.1, mfrow=c(2,2))
##D for(ii in 1:4) {
##D     plot(year, usagrain[,ii], main=names(usagrain)[ii],
##D          type="l", xlab="", ylab="")
##D     points(year, usagrain[,ii], pch="*")
##D }
##D apply(usagrain, 2, mean)     # mu vector
##D cgrain = scale(usagrain, scale=FALSE) # Center the time series only
##D fit = vglm(cgrain ~ 1, rrar(Ranks=c(4,1)), trace=TRUE)
##D summary(fit)
##D 
##D print(fit@misc$Ak1, dig=2)
##D print(fit@misc$Cmatrices, dig=3)
##D print(fit@misc$Dmatrices, dig=3)
##D print(fit@misc$omegahat, dig=3)
##D print(fit@misc$Phimatrices, dig=2)
##D 
##D par(mar=c(4,4,2,2)+0.1, mfrow=c(4,1))
##D for(ii in 1:4) {
##D     plot(year, fit@misc$Z[,ii], main=paste("Z", ii, sep=""),
##D          type="l", xlab="", ylab="")
##D     points(year, fit@misc$Z[,ii], pch="*")
##D }
## End(Not run)



