### Name: skellam
### Title: Skellam Distribution Family Function
### Aliases: skellam
### Keywords: models regression

### ** Examples

x = runif(n <- 1000)
mu1 = exp(1+x); mu2 = exp(1+x);
y = rskellam(n, mu1, mu2)
fit1 = vglm(y ~ x, skellam, trace=TRUE, crit="l")
fit2 = vglm(y ~ x, skellam(parallel=TRUE), trace=TRUE, crit="c")
coef(fit1, matrix=TRUE)
coef(fit2, matrix=TRUE)
summary(fit1)
# Likelihood ratio test for equal means:
1-pchisq(2*(logLik(fit1)-logLik(fit2)),
         df=fit2@df.residual-fit1@df.residual)



