### Name: Zapois
### Title: Zero-Altered Poisson Distribution
### Aliases: Zapois dzapois pzapois qzapois rzapois
### Keywords: distribution

### ** Examples

lambda = 3
p0 = 0.2
x = (-1):7
(i = dzapois(x, lambda, p0))
max(abs(cumsum(i) - pzapois(x, lambda, p0)))  # Should be 0
table(rzapois(100, lambda, p0))

table(qzapois(runif(100), lambda, p0))
round(dzapois(0:10, lambda, p0) * 100) # Should be similar

## Not run: 
##D x = 0:10
##D barplot(rbind(dzapois(x, lambda, p0), dpois(x, lambda)),
##D         beside = TRUE, col = c("blue","green"),
##D         main=paste("ZAP(", lambda, ", p0=", p0, ") (blue) vs",
##D                         " Poisson(", lambda, ") (green)", sep=""),
##D         names.arg = as.character(x))
## End(Not run)



