### Name: Zibinom
### Title: Zero-Inflated Binomial Distribution
### Aliases: Zibinom dzibinom pzibinom qzibinom rzibinom
### Keywords: distribution

### ** Examples

prob = 0.2; size = 10; phi = 0.5
(i = dzibinom(0:size, size, prob, phi=phi))
max(abs(cumsum(i) - pzibinom(0:size, size, prob, phi=phi)))  # Should be 0
table(rzibinom(100, size, prob, phi=phi))

table(qzibinom(runif(100), size, prob, phi=phi))
round(dzibinom(0:10, size, prob, phi=phi) * 100) # Should be similar

## Not run: 
##D x = 0:size
##D barplot(rbind(dzibinom(x, size, prob, phi=phi),
##D               dbinom(x, size, prob)),
##D         beside = TRUE, col = c("blue","green"),
##D         main=paste("ZIB(", size, ", ", prob, ", phi=", phi, ") (blue) vs",
##D                    " Binomial(", size, ", ", prob, ") (green)", sep=""),
##D         names.arg = as.character(x), las=1, lwd=2)
## End(Not run)



