### Name: Zinegbin
### Title: Zero-Inflated Negative Binomial Distribution
### Aliases: Zinegbin dzinegbin pzinegbin qzinegbin rzinegbin
### Keywords: distribution

### ** Examples

munb = 3; phi = 0.2; size = k = 10
x = 0:10
(i = dzinegbin(x, phi=phi, mu=munb, size=k))
max(abs(cumsum(i) - pzinegbin(x, phi=phi, mu=munb, size=k))) # Should be 0
table(rzinegbin(100, phi=phi, mu=munb, size=k))

table(qzinegbin(runif(1000), phi=phi, mu=munb, size=k))
round(dzinegbin(x, phi=phi, mu=munb, size=k) * 1000) # Should be similar

## Not run: 
##D barplot(rbind(dzinegbin(x, phi=phi, mu=munb, size=k),
##D               dnbinom(x, mu=munb, size=k)),
##D         beside = TRUE, col = c("blue","green"),
##D         main=paste("ZINB(mu=", munb, ", k=", k, ", phi=", phi,
##D                    ") (blue) vs negative binomial(mu=", munb,
##D                    ", size=", k, ") (green)", sep=""),
##D         names.arg = as.character(x))
## End(Not run)



