### Name: Zipois
### Title: Zero-Inflated Poisson Distribution
### Aliases: Zipois dzipois pzipois qzipois rzipois
### Keywords: distribution

### ** Examples

lambda = 3
phi = 0.2
x <- (-1):7
(i = dzipois(x, lambda, phi))
max(abs(cumsum(i) - pzipois(x, lambda, phi))) # Should be 0
table(rzipois(100, lambda, phi))

table(qzipois(runif(100), lambda, phi))
round(dzipois(0:10, lambda, phi) * 100) # Should be similar

## Not run: 
##D x = 0:10
##D barplot(rbind(dzipois(x, lambda, phi), dpois(x, lambda)),
##D         beside = TRUE, col = c("blue","green"),
##D         main=paste("ZIP(", lambda, ", phi=", phi, ") (blue) vs",
##D                         " Poisson(", lambda, ") (green)", sep=""),
##D         names.arg = as.character(x))
## End(Not run)



